From 94a35958c254daea8f0851c957925c0e9c805b47 Mon Sep 17 00:00:00 2001
From: Andrew Chin <achin@eminence32.net>
Date: Tue, 9 Sep 2014 20:40:56 -0400
Subject: [PATCH 37/40] Revert bb369334722b23120bf0b0e91e6a6c69e0884474

We aren't sure why this change was made, and reverting it appears to help
fix mouse issues in emacs related to text hilighting.

Signed-off-by: Andrew Chin <achin@eminence32.net>
---
 src/terminal/terminaldisplay.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/terminal/terminaldisplay.cc b/src/terminal/terminaldisplay.cc
index a6a06bc..c80b215 100644
--- a/src/terminal/terminaldisplay.cc
+++ b/src/terminal/terminaldisplay.cc
@@ -307,7 +307,7 @@ std::string Display::new_frame( bool initialized, const Framebuffer &last, const
   /* has xterm mouse mode changed? */
   if ( (!initialized)
        || (f.ds.xterm_extended_mouse != frame.last_frame.ds.xterm_extended_mouse) ) {
-    frame.append( f.ds.xterm_extended_mouse ? "\033[?1006h\033[?1002h" : "\033[?1006l\033[?1002l" );
+    frame.append( f.ds.xterm_extended_mouse ? "\033[?1006h" : "\033[?1006l" );
   }
 
   return frame.str;

